Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.sw
Enum Type.Default

    java.lang.Object
      java.lang.Enum<Type.Default>
          rdlc.sw.Type.Default

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Type.Default>

Enclosing interface:
  Type

    public static enum Type.Default

extends java.lang.Enum<Type.Default>

Iterator of the possible default values for any type.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Enum Constant Summary
`False`
`None`
`Null`
`Space`
`Zero`
`ZeroFloat`

Method Summary
`static Type.Default` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Type.Default[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final Type.Default None

### Zero

    public static final Type.Default Zero

### False

    public static final Type.Default False

### Null

    public static final Type.Default Null

### Space

    public static final Type.Default Space

### ZeroFloat

    public static final Type.Default ZeroFloat

Method Detail

### values

    public static final Type.Default[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Type.Default c : Type.Default.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Type.Default valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD